%global git0 https://github.com/rootless-containers/%{name}
%global commit0 4992082b2af77c09bca6bd8504e2ebfa5e118c18
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name: slirp4netns
Version: 0.3.0
Release: 8%{?dist}
Summary: slirp for network namespaces
License: GPLv2
URL: %{git0}
Source0: %{git0}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
Patch0: slirp4netns-CVE-2019-14378.patch
Patch1: slirp4netns-CVE-2020-7039.patch
Patch2: slirp4netns-CVE-2020-7211.patch
Patch3: slirp4netns-CVE-2020-8608.patch
# tracker bug: https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2019-15890
# backported:  https://gitlab.freedesktop.org/slirp/libslirp/commit/c59279437eda91841b9d26079c70b8a540d41204.patch
Patch4: slirp4netns-CVE-2019-15890.patch
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: git
BuildRequires: glib2-devel
BuildRequires: go-md2man
BuildRequires: make

%description
User-mode networking for unprivileged network namespaces.

%package devel
Summary: %{summary}
BuildArch: noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{import_path} prefix.

%prep
%autosetup -Sgit -n %{name}-%{commit0}

%build
./autogen.sh
./configure --prefix=%{_usr} --libdir=%{_libdir}
%{__make} generate-man

%install
make DESTDIR=%{buildroot} install install-man

%check

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Wed Feb 26 2020 Jindrich Novy <jnovy@redhat.com> - 0.3.0-8
- fix "CVE-2019-15890 QEMU: Slirp: use-after-free during packet reassembly"
- Resolves: #1755596

* Thu Feb 06 2020 Jindrich Novy <jnovy@redhat.com> - 0.3.0-7
- backport the patch for CVE-2020-8608 to 0.3.0 (#1798975)

* Thu Feb 06 2020 Jindrich Novy <jnovy@redhat.com> - 0.3.0-6
- Add missing hunks to patch for CVE-2020-8608 (#1798975)

* Thu Feb 06 2020 Jindrich Novy <jnovy@redhat.com> - 0.3.0-5
- Fix CVE-2020-8608 (#1798975)

* Fri Jan 17 2020 Jindrich Novy <jnovy@redhat.com> - 0.3.0-4
- Backport fix for CVE-2020-7211 (#1792150).

* Thu Jan 16 2020 Jindrich Novy <jnovy@redhat.com> - 0.3.0-3
- Backport fix for CVE-2020-7039 (#1791572)

* Thu Sep 26 2019 Jindrich Novy <jnovy@redhat.com> - 0.3.0-2
- Fix CVE-2019-14378 (#1755592).

* Sat Jun 08 2019 Lokesh Mandvekar<lsm5@redhat.com> - 0.3.0-1
- bump to latest upstream release

* Fri Nov 16 2018 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.1-2.dev.gitc4e1bc5
- changed summary

* Fri Aug 10 2018 Lokesh Mandvekar <lsm5@redhat.com> - 0.1-1.dev.gitc4e1bc5
- First package for RHEL 8
- import from Fedora rawhide
- Exclude ix86 and ppc64
